from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XComponent

@runtime_checkable
class XControl(XComponent, Protocol):
    def setContext(self, Context: XInterface) -> None: ...
    def getContext(self) -> XInterface: ...
    def createPeer(self, Toolkit: XToolkit, Parent: XWindowPeer) -> None: ...
    def getPeer(self) -> XWindowPeer: ...
    def setModel(self, Model: XControlModel) -> bool: ...
    def getModel(self) -> XControlModel: ...
    def getView(self) -> XView: ...
    def setDesignMode(self, bOn: bool) -> None: ...
    def isDesignMode(self) -> bool: ...
    def isTransparent(self) -> bool: ...
